import request from '@/config/axios'

// 设备型号 VO
export interface DevModelVO {
  category: string // 分类名
  brand: string // 品牌
  model: string // 型号
}

// 设备型号 API
export const DevModelApi = {
  // 查询设备型号分页
  getDevModelPage: async (params: any) => {
    return await request.get({ url: `/ecg/dev-model/page`, params })
  },

  // 查询设备型号详情
  getDevModel: async (id: number) => {
    return await request.get({ url: `/ecg/dev-model/get?id=` + id })
  },

  // 新增设备型号
  createDevModel: async (data: DevModelVO) => {
    return await request.post({ url: `/ecg/dev-model/create`, data })
  },

  // 修改设备型号
  updateDevModel: async (data: DevModelVO) => {
    return await request.put({ url: `/ecg/dev-model/update`, data })
  },

  // 删除设备型号
  deleteDevModel: async (id: number) => {
    return await request.delete({ url: `/ecg/dev-model/delete?id=` + id })
  },

  // 导出设备型号 Excel
  exportDevModel: async (params) => {
    return await request.download({ url: `/ecg/dev-model/export-excel`, params })
  }
}